import request from '@/utils/request'

// 查询企业其他技术创新成果汇总列表
export function listTechnologies(query) {
  return request({
    url: '/basicData/xcrOtherTechnologies/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业其他技术创新成果汇总详细
export function getTechnologies(id) {
  return request({
    url: '/basicData/xcrOtherTechnologies/' + id,
    method: 'get'
  })
}

// 新增企业其他技术创新成果汇总
export function addTechnologies(data) {
  return request({
    url: '/basicData/xcrOtherTechnologies',
    method: 'post',
    data: data
  })
}

// 修改企业其他技术创新成果汇总
export function updateTechnologies(data) {
  return request({
    url: '/basicData/xcrOtherTechnologies',
    method: 'put',
    data: data
  })
}

// 删除企业其他技术创新成果汇总
export function delTechnologies(id) {
  return request({
    url: '/basicData/xcrOtherTechnologies/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delTechnologiesBatch(ids) {
  return request.post('/basicData/xcrOtherTechnologies/delete',ids)
}
